* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

html {
    height: 100%
}

body {
    height: 100%;
    color: #B1B3A9;
    background-color: #23282F;
    font-size: 1.125em;
    font-family: "Open Sans", sans-serif
}

h1,
h2,
h3,
h4 {
    font-family: "Raleway", sans-serif;
    color: #fff
}

h1 {
    font-size: 2em;
    text-align: center
}

h2 {
    font-weight: 700;
    margin-bottom: 15px
}

nav {
    width: 100%;
    position: absolute;
    padding: 40px 20px 40px 40px;
    transition: all .3s
}

header {
    width: 100%;
    height: 100%;
    margin-bottom: 60px
}

section {
    max-width: 100%
}

section article:first-child {
    padding-top: 60px
}

article {
    width: 100%;
    padding: 100px 0
}

article:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
    padding: 0
}

.article-container {
    max-width: 1200px;
    margin: 0 auto;
    clear: both
}

.article-container:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
    padding: 0
}

#nav-container {
    max-width: 1200px;
    text-align: right;
    margin: 0 auto
}

nav ul li {
    display: inline-block;
    margin-right: 20px;
    transition: .3s
}

nav ul li:last-child {
    margin: 0
}

#nav-container a {
    color: #b1b3a9;
    text-decoration: none;
    transition: all .4s
}

#nav-container a:hover {
    color: #22AD81
}

.scroll-hover a {
    color: #fff !important
}

.scroll-hover a:hover {
    color: #2A3037 !important
}

#horizontal-links {
    display: none
}

#hamburger-button {
    width: 30px;
    height: 20px;
    float: right
}

#hamburger-button div {
    width: 100%;
    border: solid 1px #fff;
    margin-bottom: 4px;
    height: 3px;
    background-color: #fff;
    clear: both;
    transition: all .3s
}

#hamburger-button:hover div {
    background-color: #2a3037;
    border: solid 1px #2a3037
}

#hamburger-button div:last-child {
    margin-bottom: 0
}

#hamburger-button div:first-child {
    width: 50%;
    float: right
}

#hamburger-button div:nth-child(even) {
    width: 75%;
    float: right
}

#full-nav {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    background-color: #22ad81;
    display: none;
    z-index: 10
}

#close-button {
    width: 30px;
    height: 20px;
    margin: 5px 10px 0 0;
    color: #fff;
    font-size: 2em;
    float: right;
    cursor: default;
    transition: all .3s
}

#close-button:hover {
    color: #2a3037
}

#full-nav-container {
    position: relative;
    width: 100%;
    top: 50%;
    transform: translateY(-50%)
}

#full-nav-container ul {
    width: 100%;
    text-align: center
}

#full-nav-container ul li {
    padding: 30px 0;
    text-align: center
}

#full-nav a {
    color: #fff !important;
    text-decoration: none;
    transition: all .3s
}

#full-nav a:hover {
    color: #2A3037 !important
}

#hero-container {
    max-width: 1920px;
    height: 100%;
    margin: 0 auto;
    background-image: url(../img/main_back.jpg);
    background-image: -webkit-linear-gradient(transparent 55%, #23282F), url(../img/main_back.jpg);
    background-image: -moz-linear-gradient(transparent 55%, #23282F), url(../img/main_back.jpg);
    background-image: -o-linear-gradient(transparent 55%, #23282F), url(../img/main_back.jpg);
    background-image: linear-gradient(transparent 55%, #23282F), url(../img/main_back.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat
}

#hero-center-text {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    margin: 0 auto;
    text-align: center;
    font-family: "Raleway", sans-serif;
    color: #fff
}

#hero-name {
    font-size: 3em;
    transition: .3s
}

#hero-title {
    font-size: 2em;
    transition: .3s;
    color: #22AD81
}

section.portfolio article:nth-child(even) {
    background-color: #2a3038
}

section.portfolio article h2 {
    margin-top: 40px
}

.portfolio-picture {
    max-width: 100%;
    float: left;
    padding: 0 20px;
    text-align: center
}

.portfolio-picture img {
    max-width: 100%
}

.portfolio-info {
    max-width: 100%;
    float: left;
    padding: 0 20px;
    line-height: 28px;
    text-align: center
}

.portfolio-info a {
    color: #fff;
    text-decoration: underline;
    transition: all .3s
}

.portfolio-info a:hover {
    color: #22AD81
}

.portfolio-info p {
    margin-bottom: 20px
}

#portfolio-container a {
    color: #b1b3a9;
    text-decoration: none
}

.tools-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    padding: 13px 0 20px
}

.tools-container:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
    padding: 0
}

.tools-pill {
    border-radius: 5px;
    float: left;
    display: inline-block;
    background-color: rgba(34, 173, 129, 0.9);
    font-size: .6em;
    padding: 0 5px;
    color: #fff;
    margin: 7px 7px 0 0;
    letter-spacing: .7px
}

.tools-container .tools-pill:last-child {
    margin-right: 0
}

#about-picture img {
    border-radius: 50%;
    max-width: 30%;
    margin: 0 0 15px
}

#about-picture {
    max-width: 100%;
    float: left;
    padding: 0 20px;
    margin: 0 0 30px;
    text-align: center
}

#about-info {
    width: 100%;
    padding: 0 20px;
    clear: both
}

#about-info p {
    margin-bottom: 20px
}

#about-info p:last-child {
    margin-bottom: 0
}

#things-container {
    display: flex;
    flex-flow: row wrap;
    max-width: 1200px;
    margin: 50px auto 0
}

#things-container>div {
    width: 100%;
    padding: 0 20px
}

.about-things {
    margin: 50px 0;
    text-align: center
}

.tech-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center
}

.tech-container>div {
    padding: 10px;
    margin: 10px;
    width: 100px;
    height: 100px;
    text-align: center
}

.tech-container>div>span {
    display: none
}

.tech-container>div>img {
    width: 100%;
    height: 100%;
    filter: opacity(.7);
    transition: all .7s
}

.tech-container>div>img:hover {
    filter: opacity(1)
}

.tech-container>div>img:hover+span {
    display: block
}

.contact-top {
    width: 100%;
    padding: 0 20px;
    margin-bottom: 10px
}

.contact-top input {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 3px;
    margin-top: 10px;
    font-family: "Open Sans", sans-serif;
    font-size: 1em;
    background-color: #d1d1d2
}

.contact-top input:focus {
    background-color: #e1e1e2
}

#contact-message {
    width: 100%;
    padding: 0 20px
}

#contact-message textarea {
    width: 100%;
    height: 200px;
    font-family: "Open Sans", sans-serif;
    font-size: 1em;
    padding: 10px;
    margin: 10px 0;
    border: none;
    border-radius: 3px;
    resize: none;
    background-color: #d1d1d2
}

#contact-message textarea:focus {
    background-color: #e1e1e2
}

#contact-message button {
    width: 100%;
    padding: 10px;
    font-family: "Open Sans", sans-serif;
    font-size: 1em;
    color: #fff;
    background-color: rgba(34, 173, 129, 0.9);
    border-radius: 3px;
    border: none;
    transition: all .3s
}

#contact-message button:hover {
    background-color: rgba(34, 173, 129, 1);
    cursor: pointer
}

#contact-message #phone {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    height: 0;
    width: 0;
    z-index: -100
}

#footer {
    background-color: #191c21
}

footer {
    max-width: 1200px;
    padding: 30px;
    margin: 0 auto;
    font-size: .75em;
    text-align: center
}

footer a {
    color: #fff;
    text-decoration: none;
    transition: all .3s
}

footer a:hover {
    color: #22AD81
}

footer img {
    max-width: 40px;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    transition: all .4s;
    border-radius: 50%
}

footer a {
    margin-right: 10px
}

footer img:last-child {
    margin-right: 0
}

footer img:hover {
    max-width: 40px;
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%)
}

#footer-info {
    margin-top: 20px
}

#footer-info ul li {
    display: block;
    margin-bottom: 15px
}

#footer-info ul li:last-child {
    margin-bottom: 0
}

#form-confirmation {
    position: fixed;
    max-width: 80%;
    background-color: #23282E;
    border-radius: 20px;
    padding: 20px;
    transition: all .3s;
    left: 50%;
    display: none;
    z-index: 10;
    -webkit-box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, 0.5);
    box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, 0.5)
}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 5;
    display: none
}

.success p:first-child {
    margin-bottom: 10px;
    text-align: center;
    font-weight: 700;
    color: #22AD81
}

.error p:first-child {
    margin-bottom: 10px;
    font-weight: 700;
    text-align: center;
    color: #B75C5E
}

#mail-page {
    text-align: center;
    padding-top: 100px
}

#mail-page a {
    color: #fff;
    text-decoration: none;
    transition: all .3s
}

#mail-page a:hover {
    color: #22AD81
}

@media only screen and (min-width: 550px) {
    #hero-name {
        font-size: 5em
    }

    #hero-title {
        font-size: 3.75em
    }

    #footer-info ul li {
        display: inline-block;
        margin: 0 30px 0 0;
        height: auto
    }

    #footer-info ul li:last-child {
        margin-right: 0
    }
}

@media only screen and (min-width: 800px) {
    #hero-name {
        font-size: 7em
    }

    #hero-title {
        font-size: 5em
    }

    .portfolio-box {
        width: 31.905%;
        margin-right: 20px
    }

    .portfolio-picture {
        width: 50%;
        text-align: left
    }

    .portfolio-info {
        width: 50%;
        text-align: left
    }

    section.portfolio article h2 {
        margin-top: 0
    }

    #hamburger-button {
        display: none
    }

    #horizontal-links {
        display: inline
    }

    .tools-container {
        justify-content: flex-start
    }

    #about-picture img {
        border-radius: 50%;
        max-width: 40%
    }

    #about-picture {
        width: 40%;
        float: left
    }

    #about-info {
        width: 60%;
        float: left;
        clear: none
    }

    .contact-top {
        width: 50%;
        float: left
    }

    #contact-message button {
        width: 150px;
        float: right
    }

    #form-confirmation {
        max-width: 500px
    }

    #things-container>div {
        width: 50%
    }
}

@media only screen and (min-width: 1200px) {
    #hero-name {
        font-size: 9em
    }

    #hero-title {
        font-size: 6em
    }
}